package com.jetbyte.cache4;

import java.util.Map;
import java.util.HashMap;

public class SimpleCache extends CacheImpl
{
   public SimpleCache(String name)
   {
      super(name, SimpleCache.class.getName());
   }

   protected Object findObject(Cache.Key key)
   {      
      return cache.get(key);
   }

   protected void addObject(Cache.Key key, Object obj)
   {
      cache.put(key, obj);
   }

   protected void removeObject(Cache.Key key)
   {
      cache.remove(key);
   }

   synchronized public int entries()
   {
      return cache.size();
   }

   protected void flushCache()
   {
      cache.clear();
   }

   private Map cache = new HashMap(89);   
}
